<!-- This loops through the paginated posts -->
<ul style="padding-inline-start: unset;">
  {% for post in paginator.posts %}
    <li style="list-style-type: none;">
      {% include single_post.html post=post %}
    </li>


  {% endfor %}
</ul>


<!-- Pagination links -->
<div class="pagination">
  {% if paginator.previous_page %}
    <a href="{{ paginator.previous_page_path }}" class="previous">
      <span aria-hidden="true">&laquo;
      </span>Pagina precedente
    </a>
  {% endif %}
  <span class="page_number mx-2">
    Pagina: {{ paginator.page }} di {{ paginator.total_pages }}
  </span>
  {% if paginator.next_page %}
    <a href="{{ paginator.next_page_path }}" class="next">Prossima pagina
      <span aria-hidden="true">&raquo;</span>
    </a>
  {% endif %}
</div>